# Uses of Class
org.apache.sling.scripting.sightly.impl.engine.SightlyScriptEngineFactory

Packages that use SightlyScriptEngineFactory
Package
Description
org.apache.sling.scripting.sightly.impl.engine.bundled

## Uses of SightlyScriptEngineFactory in org.apache.sling.scripting.sightly.impl.engine.bundled

Methods in org.apache.sling.scripting.sightly.impl.engine.bundled that return SightlyScriptEngineFactory
Modifier and Type
Method
Description
`@NotNull SightlyScriptEngineFactory`
BundledUnitManagerImpl.`getScriptEngineFactory()`
Constructors in org.apache.sling.scripting.sightly.impl.engine.bundled with parameters of type SightlyScriptEngineFactory
Modifier
Constructor
Description
``
`BundledUnitManagerImpl(@NotNull SightlyScriptEngineFactory sightlyScriptEngineFactory, @NotNull org.apache.sling.scripting.api.ScriptCache scriptCache, @NotNull org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory)`